<?php
// SPDX-License-Identifier: EUPL-1.2
// Authors: see README.md

namespace SeaCMS\App;

use SeacmsAppPlugin;
use SeaCMS\App\TestException;

/**
 * define interface for tests
 */
interface TestInterface
{
    /**
     * run tests
     * @param SeacmsAppPlugin $plugin
     * @param string $output
     * @throws TestException
     */
    public function run(SeacmsAppPlugin $plugin, string $output);
}
