<?php

/**
 * SPDX-License-Identifier: EUPL-1.2
 * Authors: see /README.md
 */

namespace SeaCMS\App\Test;

use SeaCMS\App;
use SeaCMS\App\Test\Common;

final class AppTest extends Common {

    public function testSuccess(): void
    {
        $this->defineServer(
            true,
            'index.php',
            '/',
            ''
        );
        $app = new App('');
        $output = $app->runPico();
        $this->assertTrue($app instanceof App);
    }
    public function testFailure(): void
    {
        $this->assertTrue(false);
    }
}